## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname TITools
%global commit cc7dc08d831beaf6c4f865c3acd49a2be58df5a9
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global date 20160515

Name:           titools
Version:        0.2^%{date}g%{shortcommit}
Release:        %autorelease
Summary:        Command-line programs for communicating with a TI calculator

License:        GPL-3.0-or-later
URL:            https://github.com/Jonimoose/%{srcname}
Source0:        %{url}/archive/%{commit}/%{srcname}-%{commit}.tar.gz

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  tilibs-devel

%description
This package contains a collection of simple command-line tools for
communicating with TI graphing calculators.  These tools are based on
the excellent libticalcs2 library developed by the TiLP project (or
the equivalent libcalcprotocols library.)

%prep
%autosetup -n %{srcname}-%{commit}

%build
%configure
%make_build

%install
%make_install

%files
%license COPYING
%doc README
%{_bindir}/ti*
%{_mandir}/man1/ti*.1*

%changelog
## START: Generated by rpmautospec
* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2^20160515gcc7dc08-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2^20160515gcc7dc08-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2^20160515gcc7dc08-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2^20160515gcc7dc08-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Dec 29 2022 Davide Cavalca <dcavalca@fedoraproject.org> - 0.2^20160515gcc7dc08-1
- Initial import; Fixes: RHBZ#2107911
## END: Generated by rpmautospec
